BootstrapMethodsAttribute (Java SE 22 & JDK 22)
Description: declaration: module: java.base, package: java.lang.classfile.attribute, interface: BootstrapMethodsAttribute
Keywords: java.lang.classfile.attribute.BootstrapMethodsAttribute interface

Module java.base
Package java.lang.classfile.attributePREVIEW

# Interface BootstrapMethodsAttribute

All Superinterfaces:
  `AttributePREVIEW<BootstrapMethodsAttributePREVIEW>`, `ClassFileElementPREVIEW`, `WritableElementPREVIEW<BootstrapMethodsAttributePREVIEW>`

public sealed interface BootstrapMethodsAttribute extends AttributePREVIEW<BootstrapMethodsAttributePREVIEW>
`BootstrapMethodsAttribute` is a preview API of the Java platform.
Programs can only use `BootstrapMethodsAttribute` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Models the `BootstrapMethods` attribute 4.7.23, which serves as an extension to the constant pool of a classfile. Elements of the bootstrap method table are accessed through `ConstantPool`PREVIEW.

The attribute does not permit multiple instances in a given location. Subsequent occurrence of the attribute takes precedence during the attributed element build or transformation.

The attribute was introduced in the Java SE Platform version 7.

Since:
  22

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<BootstrapMethodEntryPREVIEW>`
  `bootstrapMethods()`
  Returns the elements of the bootstrap method table.
  `int`
  `bootstrapMethodsSize()`
  Returns the size of the bootstrap methods table.

  ### Methods declared in interface java.lang.classfile.AttributePREVIEW

  `attributeMapper, attributeName`

  ### Methods declared in interface java.lang.classfile.WritableElementPREVIEW

  `writeTo`

- ## Method Details

  - ### bootstrapMethods

    List<BootstrapMethodEntryPREVIEW> bootstrapMethods()
    Returns the elements of the bootstrap method table.
    Returns:
      the elements of the bootstrap method table

  - ### bootstrapMethodsSize

    int bootstrapMethodsSize()
    Returns the size of the bootstrap methods table.. Calling this method does not necessarily inflate the entire table.
    Returns:
      the size of the bootstrap methods table